if (select(2,UnitClass("player")) ~= "HUNTER") then
	return;
end

local f = InfoPanel.AddPlugin();
local ammoCount;
local ammoSlot = GetInventorySlotInfo("AmmoSlot");

--------------------------------------------------------------------------------------------------------
--                                             Functions                                              --
--------------------------------------------------------------------------------------------------------

-- OnEnter
local function OnEnter(self)
	InfoPanel.MakeTip(f,"Ammo Count");
	GameTooltip:Show();
end

-- OnEvent
local function CountAmmo(self,event)
	ammoCount = GetInventoryItemCount("player",ammoSlot);
	if (ammoCount == 1) and (not GetInventoryItemTexture("player",ammoSlot)) then
    	ammoCount = 0;
	end;
	InfoPanel.SetText(f,"%.3d",ammoCount);
end

--------------------------------------------------------------------------------------------------------
--                                              Finalize                                              --
--------------------------------------------------------------------------------------------------------

f.icon:SetTexture("Interface\\Icons\\INV_Ammo_Arrow_02");
f:SetScript("OnEnter",OnEnter);
f:SetScript("OnEvent",CountAmmo);
f:RegisterEvent("BAG_UPDATE");
f:RegisterEvent("PLAYER_LOGIN");