if (select(2,UnitClass("player")) ~= "WARLOCK") then
	return;
end

local f = InfoPanel.AddPlugin();

--------------------------------------------------------------------------------------------------------
--                                             Functions                                              --
--------------------------------------------------------------------------------------------------------

-- OnEnter
local function OnEnter(self)
	InfoPanel.MakeTip(f,"Shard Count");
	GameTooltip:Show();
end

-- Gather Info
local function CountShards()
	InfoPanel.SetText(f,"%.2d",GetItemCount(6265));
end

--------------------------------------------------------------------------------------------------------
--                                              Finalize                                              --
--------------------------------------------------------------------------------------------------------

f.icon:SetTexture("Interface\\Icons\\INV_Misc_Gem_Amethyst_02");
f:SetScript("OnEnter",OnEnter);
f:SetScript("OnEvent",CountShards);
f:RegisterEvent("BAG_UPDATE");
f:RegisterEvent("PLAYER_LOGIN");